import { EventEmitter } from '../../stencil-public-runtime';
export declare class BbProfile {
    profilePath: string;
    root: string;
    profileHeader: 'none' | 'overlay' | 'image' | 'full';
    profileResponse: any;
    overlay: {
        kind: '' | 'spinner' | 'contact';
        selected?: number;
    };
    message: {
        name: string;
        email: string;
        telephone: string;
        content: string;
    };
    filter: {
        collection: string;
        model: string;
        manufacturer: string;
        location: string;
    };
    linkClick: EventEmitter;
    linkClickHandler: (path: any) => (ev: any) => void;
    fetchData(): Promise<Response>;
    componentWillLoad(): Promise<void>;
    componentDidLoad(): Promise<void>;
    watchPath(): Promise<void>;
    loadCount: number;
    watchFilterHandler(): void;
    private loadMoreIntersectionObserver?;
    loadMoreRefHandler: (button: any) => void;
    loadMoreClickHandler: () => void;
    sendMessage: (ev: Event) => Promise<void>;
    render(): any;
}
